package com.yongqi.xinrenli.service;

import com.yongqi.xinrenli.domain.DbUserFeedback;
import com.yongqi.xinrenli.domain.vo.DbUserFeedbackVo;
import com.yongqi.xinrenli.domain.bo.DbUserFeedbackBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 用户反馈Service接口
 *
 * @author zyf
 * @date 2023-03-09
 */
public interface IDbUserFeedbackService {

    /**
     * 查询用户反馈
     */
    DbUserFeedbackVo queryById(Long id);

    /**
     * 查询用户反馈列表
     */
    TableDataInfo<DbUserFeedbackVo> queryPageList(DbUserFeedbackBo bo, PageQuery pageQuery);

    /**
     * 查询用户反馈列表
     */
    List<DbUserFeedbackVo> queryList(DbUserFeedbackBo bo);

    /**
     * 新增用户反馈
     */
    Boolean insertByBo(DbUserFeedbackBo bo);

    /**
     * 修改用户反馈
     */
    Boolean updateByBo(DbUserFeedbackBo bo);

    /**
     * 校验并批量删除用户反馈信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
